{
    name: "Enigma Berry",
    spritenum: 124,
    isBerry: true,
    naturalGift: {
        basePower: 100,
        type: "Bug"
    },
    onHit(target, source, move) {
        if (move && target.getMoveHitData(move).typeMod > 0) {
            if (target.eatItem()) {
                this.heal(target.baseMaxhp / 3);
            }
        }
    },
    onTryEatItem(item, pokemon) {
        if (!this.runEvent("TryHeal", pokemon, null, this.effect, pokemon.baseMaxhp / 3))
            return false;
    },
    onEat() {
    },
    num: 208,
    gen: 3
}
